{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Python: Remote Attach",
            "type": "python",
            "request": "attach",
            "connect": {
                "host": "localhost",
                "port": 5678
            },
            "pathMappings": [
                {
                    "localRoot": "${workspaceFolder}",
                    "remoteRoot": "."
                }
            ],
            "justMyCode": false,
            // uncomment this to debug the attach process
            "logToFile": true
        },
        {
            "name": "Python: Remote Attach in Dev Container",
            "type": "python",
            "request": "attach",
            "connect": {
                "host": "gateway.docker.internal",
                "port": 5678
            },
            "pathMappings": [
                {
                    "localRoot": "${workspaceFolder}",
                    "remoteRoot": "."
                }
            ],
            "justMyCode": false,
            // uncomment this to debug the attach process
            "logToFile": true
        },
        {
            "name": "Python: Remote Attach in Dev Container TQ",
            "type": "python",
            "request": "attach",
            "connect": {
                "host": "gateway.docker.internal",
                "port": 5677
            },
            "pathMappings": [
                {
                    "localRoot": "${workspaceFolder}",
                    "remoteRoot": "."
                }
            ],
            "justMyCode": false,
            // uncomment this to debug the attach process
            "logToFile": true
        },
        {
            "name": "Python: Remote Attach in Dev Container TQ INSURANCE",
            "type": "python",
            "request": "attach",
            "connect": {
                "host": "gateway.docker.internal",
                "port": 5676
            },
            "pathMappings": [
                {
                    "localRoot": "${workspaceFolder}",
                    "remoteRoot": "."
                }
            ],
            "justMyCode": false,
            // uncomment this to debug the attach process
            "logToFile": true
        }
    ]
}
